﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LCContracts;

namespace LocalCommunications
{
	public class TaskService : ITaskService
	{
        #region ITaskService Members
        
        public void CreateTask(Task newTask, string defaultUser)
        {
            Console.WriteLine("Created task {0}", newTask);
        }

        //public void DeleteTask(Task task, string reason)
        //{
        //    Console.WriteLine("deleting task: {0} becuase {1}", task.Name, reason);
        //}

        public void AssignTask(Task task, string user)
        {
            Console.WriteLine("Assigning task {0} to {1}", task.Name, user);
        }

        public void OnTaskCompleted(Task task, Guid instanceId)
        {
            if (TaskCompleted != null)
                TaskCompleted(null, new TaskEventArgs(instanceId, task));
        }
        public event EventHandler<TaskEventArgs> TaskCompleted;

        #endregion
    }
}
