﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace LocalCommunications
{
    public sealed partial class Workflow1 : SequentialWorkflowActivity
    {
        public Workflow1()
        {
            InitializeComponent();
        }

        public static DependencyProperty NewTaskProperty = DependencyProperty.Register("NewTask", typeof(LCContracts.Task), typeof(LocalCommunications.Workflow1));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public LCContracts.Task NewTask
        {
            get
            {
                return ((LCContracts.Task)(base.GetValue(LocalCommunications.Workflow1.NewTaskProperty)));
            }
            set
            {
                base.SetValue(LocalCommunications.Workflow1.NewTaskProperty, value);
            }
        }

        public static DependencyProperty CompletedTaskProperty = DependencyProperty.Register("CompletedTask", typeof(LCContracts.TaskEventArgs), typeof(LocalCommunications.Workflow1));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public LCContracts.TaskEventArgs CompletedTask
        {
            get
            {
                return ((LCContracts.TaskEventArgs)(base.GetValue(LocalCommunications.Workflow1.CompletedTaskProperty)));
            }
            set
            {
                base.SetValue(LocalCommunications.Workflow1.CompletedTaskProperty, value);
            }
        }

        private void PrepTask(object sender, EventArgs e)
        {
            NewTask = new LCContracts.Task
            {
                Name = "Do work",
                Description = "Do some work",
                DateDue = DateTime.Now.AddDays(3),
                Priority = 2
            };
        }

        private void codeActivity1_ExecuteCode(object sender, EventArgs e)
        {
            Console.WriteLine("writing stuff");
        }
    }

}
