﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Workflow.ComponentModel;
using System.ComponentModel;
using System.Runtime.Serialization;

namespace SimpleWorkflows
{
	public class WriteLineActivity : Activity
	{
        
        public static DependencyProperty OutputTextProperty = DependencyProperty.Register("OutputText", typeof(string), typeof(WriteLineActivity));

        [System.ComponentModel.DescriptionAttribute("OutputText")]
        [System.ComponentModel.CategoryAttribute("OutputText Category")]
        [System.ComponentModel.BrowsableAttribute(true)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Visible)]
        public string OutputText
        {
            get
            {
                return ((string)(base.GetValue(WriteLineActivity.OutputTextProperty)));
            }
            set
            {
                base.SetValue(WriteLineActivity.OutputTextProperty, value);
            }
        }

        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {
            Console.WriteLine(OutputText);
            return base.Execute(executionContext);
        }

        
    }
}
